com.google.gwt.dom.client

## Enum Style.ListStyleType

- java.lang.Object
- - java.lang.Enum<Style.ListStyleType>
  - - com.google.gwt.dom.client.Style.ListStyleType

All Implemented Interfaces:
  Style.HasCssName, java.io.Serializable, java.lang.Comparable<Style.ListStyleType>

Enclosing class:
  Style

    public static enum Style.ListStyleType
    extends java.lang.Enum<Style.ListStyleType>
    implements Style.HasCssName

Enum for the list-style-type property.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CIRCLE`
`DECIMAL`
`DISC`
`LOWER_ALPHA`
`LOWER_ROMAN`
`NONE`
`SQUARE`
`UPPER_ALPHA`
`UPPER_ROMAN`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.String` `getCssName()` Gets the CSS name associated with this value.
`static Style.ListStyleType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Style.ListStyleType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final Style.ListStyleType NONE

#### DISC

    public static final Style.ListStyleType DISC

#### CIRCLE

    public static final Style.ListStyleType CIRCLE

#### SQUARE

    public static final Style.ListStyleType SQUARE

#### DECIMAL

    public static final Style.ListStyleType DECIMAL

#### LOWER_ALPHA

    public static final Style.ListStyleType LOWER_ALPHA

#### UPPER_ALPHA

    public static final Style.ListStyleType UPPER_ALPHA

#### LOWER_ROMAN

    public static final Style.ListStyleType LOWER_ROMAN

#### UPPER_ROMAN

    public static final Style.ListStyleType UPPER_ROMAN

### Method Detail

#### values

    public static Style.ListStyleType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Style.ListStyleType c : Style.ListStyleType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Style.ListStyleType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCssName

    public abstract java.lang.String getCssName()

Description copied from interface: `Style.HasCssName`
Gets the CSS name associated with this value.

Specified by:
  `getCssName` in interface `Style.HasCssName`